Package net.shibboleth.profile.config

# Interface OverriddenIssuerProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `ProfileConfiguration`

public interface OverriddenIssuerProfileConfiguration extends ProfileConfiguration
`ProfileConfiguration` with optional override of issuer setting.

Since:
  3.0.0

## Field Summary

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`String`
`getIssuer(ProfileRequestContext profileRequestContext)`
Get overridden issuer value.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

## Method Details

### getIssuer

@ConfigurationSetting(name="issuer") @Nullable @NotEmpty String getIssuer(@Nullable ProfileRequestContext profileRequestContext)
Get overridden issuer value.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  issuer or null to use usual default